package com.ruoyi.system.service;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.system.domain.dto.UpdateBaseParams;
import com.ruoyi.system.domain.dto.DeploySSLParams;
import java.util.List;
import com.ruoyi.system.domain.SnServerTemplate;
import com.ruoyi.common.core.web.domain.AjaxResult;

public interface ISnServerTemplateService
{
    AjaxResult getOwnLast(final Long p0);
    
    SnServerTemplate selectSnServerTemplateById(final Long p0);
    
    List<SnServerTemplate> selectSnServerTemplateList(final SnServerTemplate p0);
    
    AjaxResult insertSnServerTemplate(final SnServerTemplate p0);
    
    int updateSnServerTemplate(final SnServerTemplate p0);
    
    int deleteSnServerTemplateByIds(final Long[] p0);
    
    AjaxResult changeDomain(final SnServerTemplate p0);
    
    AjaxResult deployDomainSSL(final DeploySSLParams p0);
    
    AjaxResult updateUI(final UpdateBaseParams p0);
    
    AjaxResult haveUpdate(final UpdateBaseParams p0);
    
    List<JSONObject> haveUpdateDetail(final Long p0);
    
    AjaxResult updateAllUI(final UpdateBaseParams p0);
}
